import { VcComponentInternalInstance } from '@vue-cesium/utils/types'
import { defineComponent, getCurrentInstance, createCommentVNode } from 'vue'
import { useGeometries } from '@vue-cesium/composables'
import { kebabCase } from '@vue-cesium/utils/util'
import {
  polygonHierarchy,
  stRotation,
  vertexFormat,
  ellipsoid
} from '@vue-cesium/utils/cesium-props'
export default defineComponent({
  name: 'VcGeometryPolygonCoplanar',
  props: {
    ...polygonHierarchy,
    ...ellipsoid,
    ...vertexFormat,
    ...stRotation
  },
  emits: ['beforeLoad', 'ready', 'destroyed'],
  setup (props, ctx) {
    // state
    const instance = getCurrentInstance() as VcComponentInternalInstance
    instance.cesiumClass = 'CoplanarPolygonGeometry'
    useGeometries(props, ctx, instance)

    return () => createCommentVNode(kebabCase(instance.proxy.$options.name))
  }
})
